Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Minor Minor
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 0.2.0-incubating
    • Component/s: Website/Other
    • Labels:
      None
    • Environment:
      Maven 3.0

      Description

      The project won't build under Maven 3.0. It will produce errors related to the pom.xml files.
      When tried on Maven 2.2.1 it was built successfully.
      I believe it's a compatibility issue.

        Activity

        Show
        Vangjush Stavro added a comment - http://mail-archives.apache.org/mod_mbox/incubator-isis-dev/201011.mbox/ajax/%3CAANLkTi=9iOjMb2iBQwAPOW_63rN78RN62BzC7jugiWSp@mail.gmail.com%3E
        Hide
        Dan Haywood added a comment -

        I had a look at the alternatives/progmodel/groovy/pom.xml, and noticed that it was parented to org.apache.isis:alternatives instead of to org.apache.isis.alternatives:progmodel. This is almost certainly the problem, but I haven't tested yet to confirm.

        Show
        Dan Haywood added a comment - I had a look at the alternatives/progmodel/groovy/pom.xml, and noticed that it was parented to org.apache.isis:alternatives instead of to org.apache.isis.alternatives:progmodel. This is almost certainly the problem, but I haven't tested yet to confirm.
        Hide
        Dan Haywood added a comment -

        In addition to the above, I've since noticed that Maven 3.0.0 has a different site plugin that is not backwardly compatible; see for example [1]. So some additional work will be needed there too.

        I think therefore we should declare ourselves to support only Maven 2.x until we're ready to switch over "en-masse".

        [1] http://www.wakaleo.com/blog/292-site-generation-in-maven-3

        Show
        Dan Haywood added a comment - In addition to the above, I've since noticed that Maven 3.0.0 has a different site plugin that is not backwardly compatible; see for example [1] . So some additional work will be needed there too. I think therefore we should declare ourselves to support only Maven 2.x until we're ready to switch over "en-masse". [1] http://www.wakaleo.com/blog/292-site-generation-in-maven-3
        Hide
        Vangjush Stavro added a comment -

        I updated to the latest code and try to use maven 3.0 and it worked now

        Show
        Vangjush Stavro added a comment - I updated to the latest code and try to use maven 3.0 and it worked now
        Hide
        Dan Haywood added a comment -

        For anyone reading this open JIRA, for now we're NOT supporting building Isis under Maven 3.0. The reason for this is the possible site generation issues noted above.

        For now, we've updated the master pom.xml to use the maven-enforcer-plugin to only build Isis for versions [2.2.1,3.0), ie up to but not including 3.0.

        Show
        Dan Haywood added a comment - For anyone reading this open JIRA, for now we're NOT supporting building Isis under Maven 3.0. The reason for this is the possible site generation issues noted above. For now, we've updated the master pom.xml to use the maven-enforcer-plugin to only build Isis for versions [2.2.1,3.0), ie up to but not including 3.0.
        Show
        Kevin Meyer added a comment - Maven 3 is now supported. See http://mail-archives.apache.org/mod_mbox/incubator-isis-dev/201107.mbox/%3c4E233342.20295.1D326F4@kevin.kmz.co.za%3e
        Hide
        Kevin Meyer added a comment -

        Maven 3 is now supported, is the appropriate site plugin is used.

        Show
        Kevin Meyer added a comment - Maven 3 is now supported, is the appropriate site plugin is used.

          People

          • Assignee:
            Unassigned
            Reporter:
            Vangjush Stavro
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development